<?php
namespace App\Http\Requests\Traits;

use App\Components\CrmHelper;

trait DefaultCompanyIdInRequest
{
    protected function getValidatorInstance()
    {
        $this->setCompanyId();
        return parent::getValidatorInstance(); // TODO: Change the autogenerated stub
    }

    private function setCompanyId()
    {
        $this->merge([
            'company_id' => CrmHelper::companyId()
        ]);
    }
}
